libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > Class Template Reference documentation

libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > Class Template Reference

`#include <IWORKStyleContainer.h>`

Inheritance diagram for libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >:

## Public Member Functions
| IWORKStyleContainer (IWORKXMLParserState &state, IWORKStylePtr_t &style, IWORKStyleMap_t &styleMap)
| IWORKStyleContainer (IWORKXMLParserState &state, IWORKStylePtr_t &style, IWORKStyleMap_t &styleMap, IWORKStyleMap_t &styleMap2)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
| IWORKXMLContextBase (IWORKXMLParserState &state)
| IWORKXMLContextBase (IWORKXMLParserState &state, const T &a)
IWORKXMLParserState & | getState ()
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0
virtual void | CDATA (const char *value)
| Process CDATA content of an element.

## Protected Member Functions
IWORKXMLContextPtr_t | element (int name) override
| Create a context for parsing a child element.
void | endOfElement () override
| Signalize the end of an element.
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKCollector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Member Functions inherited from libetonyek::IWORKXMLContextElement
| IWORKXMLContextElement (IWORKXMLParserState &)
void | attribute (int name, const char *value) override
| Process an attribute.
void | text (const char *value) override
| Process textual content of an element.
const boost::optional< ID_t > & | getId () const
void | setId (const char *value)
Protected Member Functions inherited from libetonyek::IWORKXMLContextMinimal
| IWORKXMLContextMinimal ()
void | startOfElement () override
| Signalize the start of an element.
void | endOfElement () override
| Signalize the end of an element.

## Private Member Functions
| IWORKStyleContainer (IWORKStyleContainer const &)
IWORKStyleContainer & | operator= (IWORKStyleContainer const &)

## Private Attributes
IWORKStylePtr_t & | m_style
IWORKStyleMap_t & | m_styleMap
std::shared_ptr< IWORKStyleContext > | m_context
boost::optional< ID_t > | m_ref
IWORKStyleMap_t * | m_styleMap2
boost::optional< ID_t > | m_ref2

## Additional Inherited Members
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< IWORKXMLContextElement, IWORKXMLParserState >
IWORKXMLParserState & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKStyleContainer() [1/3]

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::IWORKStyleContainer | ( | IWORKXMLParserState & | state,
|  | IWORKStylePtr_t & | style,
|  | IWORKStyleMap_t & | styleMap )

Referenced by IWORKStyleContainer(), and operator=().

## ◆ IWORKStyleContainer() [2/3]

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::IWORKStyleContainer | ( | IWORKXMLParserState & | state,
|  | IWORKStylePtr_t & | style,
|  | IWORKStyleMap_t & | styleMap,
|  | IWORKStyleMap_t & | styleMap2 )

## ◆ IWORKStyleContainer() [3/3]

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::IWORKStyleContainer | ( | IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > const & |  | ) |
| private

## Member Function Documentation

## ◆ element()

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

IWORKXMLContextPtr_t libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::element | ( | int | name | ) |
| overrideprotectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

template<int TokenId, int RefTokenId, int TokenId2, int RefTokenId2>

void libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::endOfElement | ( |  | ) |
| overrideprotectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ operator=()

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStyleContainer & libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::operator= | ( | IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 > const & |  | ) |
| private

## Member Data Documentation

## ◆ m_context

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

std::shared_ptr<IWORKStyleContext> libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_context
| private

Referenced by element(), endOfElement(), IWORKStyleContainer(), and IWORKStyleContainer().

## ◆ m_ref

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

boost::optional<ID_t> libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_ref
| private

Referenced by element(), endOfElement(), IWORKStyleContainer(), and IWORKStyleContainer().

## ◆ m_ref2

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

boost::optional<ID_t> libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_ref2
| private

Referenced by element(), endOfElement(), IWORKStyleContainer(), and IWORKStyleContainer().

## ◆ m_style

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStylePtr_t& libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_style
| private

Referenced by endOfElement(), IWORKStyleContainer(), and IWORKStyleContainer().

## ◆ m_styleMap

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStyleMap_t& libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_styleMap
| private

Referenced by element(), endOfElement(), IWORKStyleContainer(), and IWORKStyleContainer().

## ◆ m_styleMap2

template<int TokenId, int RefTokenId, int TokenId2 = 0, int RefTokenId2 = 0>

IWORKStyleMap_t* libetonyek::IWORKStyleContainer< TokenId, RefTokenId, TokenId2, RefTokenId2 >::m_styleMap2
| private

Referenced by element(), endOfElement(), IWORKStyleContainer(), and IWORKStyleContainer().

The documentation for this class was generated from the following file:

- IWORKStyleContainer.h